Bug 1022470 - No documentation of qpid consumer agent interface available
No documentation of qpid consumer agent interface available
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: documentation (Show other bugs)
2.2
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
pulp-qe-list
: Documentation, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 07:02 EDT by mkovacik
Modified: 2015-11-04 05:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:59:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 382 None None None Never

  None (edit)
Description mkovacik 2013-10-23 07:02:52 EDT
Description of problem:
No documentation of qpid consumer agent interface available. This both complicates API-level testing as well as custom client implementation.

Version-Release number of selected component (if applicable):
2.2

Expected results:
There is a documentation source describing the consumer agent api including real-world communication examples such as agent-to-yum-distributor binding call flow
Comment 1 Chris Duryee 2014-11-11 17:02:15 EST
Is something like http://pulp.readthedocs.org/en/latest/dev-guide/integration/rest-api/consumer/index.html what you were looking for?
Comment 2 Brian Bouterse 2015-02-28 16:59:45 EST
Moved to https://pulp.plan.io/issues/382
Comment 3 mkovacik 2015-11-04 05:22:04 EST
(In reply to Chris Duryee from comment #1)
> Is something like
> http://pulp.readthedocs.org/en/latest/dev-guide/integration/rest-api/
> consumer/index.html what you were looking for?

I was rather looking for the qpid interface documentation. But it is irrelevant now.

Note You need to log in before you can comment on or make changes to this bug.